//this source code was auto-generated by tolua#, do not modify it
using System;
using System.Collections.Generic;
using LuaInterface;

public class WWWRequestWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(WWWRequest), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("Get",FUNCTAG_Get);
		L.RegFunction("Post",FUNCTAG_Post);
		L.RegVar("Instance",FUNCTAG_get_Instance, null);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Get(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			WWWRequest obj = (WWWRequest)ToLua.CheckObject(L, 1, typeof(WWWRequest));
			string arg0 = ToLua.CheckString(L, 2);
			LuaFunction arg1 = ToLua.CheckLuaFunction(L, 3);
			UnityEngine.WWW o = obj.Get(arg0, arg1);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}


	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Post(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 5);
			WWWRequest obj = (WWWRequest)ToLua.CheckObject(L, 1, typeof(WWWRequest));
            string arg0 = ToLua.CheckString(L, 2);
            Dictionary<string, string> headers = ToLua.Table2Dict(L, 3);
            byte[] data = ToLua.CheckByteBuffer(L, 4);
            LuaFunction callback = ToLua.CheckLuaFunction(L, 5);
            UnityEngine.WWW o = obj.Post(arg0, headers, data, callback);
			ToLua.PushObject(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_Instance(IntPtr L)
	{
		try
		{
			ToLua.Push(L, WWWRequest.Instance);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

